package com.ruoyi.oa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc合作单位对象 cmc_partner
 * 
 * @author cmc
 * @date 2024-04-18
 */
public class CmcPartner extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 合作单位id */
    private String partnerId;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String partnerName;

    public void setPartnerId(String partnerId) 
    {
        this.partnerId = partnerId;
    }

    public String getPartnerId() 
    {
        return partnerId;
    }
    public void setPartnerName(String partnerName) 
    {
        this.partnerName = partnerName;
    }

    public String getPartnerName() 
    {
        return partnerName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("partnerId", getPartnerId())
            .append("partnerName", getPartnerName())
            .toString();
    }
}
