/*
 * @Author: wrh
 * @Date: 2024-01-30 16:37:46
 * @LastEditors: wrh
 * @LastEditTime: 2024-04-16 16:05:21
 */
/*
 * @Author: wrh
 * @Date: 2024-01-30 16:37:46
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2024-02-28 16:53:30
 */
import request from '@/utils/request'

// 查询cmc项目列表
export function listProject(query) {
  return request({
    url: '/oa/project/list',
    method: 'get',
    params: query
  })
}

// 查询cmc项目详细
export function getProject(projectId) {
  return request({
    url: '/oa/project/' + projectId,
    method: 'get'
  })
}

// 获取项目负责人负责的项目详细信息
export function getListByProjectLeader(projectLeader) {
  return request({
    url: '/oa/project/projectLeader',
    method: 'get',
    params: projectLeader
  })
}

// 新增cmc项目
export function addProject(data) {
  return request({
    url: '/oa/project',
    method: 'post',
    data: data
  })
}

// 修改cmc项目
export function updateProject(data) {
  return request({
    url: '/oa/project',
    method: 'put',
    data: data
  })
}

// 删除cmc项目
export function delProject(projectId) {
  return request({
    url: '/oa/project/' + projectId,
    method: 'delete'
  })
}
